Subject: Re: [pim] AD Review of draft-ietf-pim-port

From: Stig Venaas <[email-masked]>
Date: Fri, 02 Sep 2011 11:51:47 -0700

On 29.08.2011 11:41, Stig Venaas wrote:
> I have now submitted version 08 that I hope addresses all the
> issues.
>
> There are some protocol changes that I want you all to be aware of.
> Please have a look and let us know if you have any concerns.

There have been no responses. I don't know whether that means you
all are happy with the changes, or if no one has looked at it.
Please respond soon if you have any concerns.

Stig

> The new draft is at
> http://www.ietf.org/internet-drafts/draft-ietf-pim-port-08.txt
>
> A diff is available at
> http://tools.ietf.org/rfcdiff?url2=draft-ietf-pim-port-08.txt
>
> See the diff for all changes. The main changes as I see them
> are below.
>
> Removed experimental bits from the defined PORT messages. If
> something is needed for an experiment, one can use an experimental
> option instead of a bit. A bit can be requested if the experiment
> results in the need for something more permanent.
>
> The number of PORT messages for experimental use has been reduced
> to 4.
>
> Split the PORT option space into two, as follows:
> Each PORT Option is a TLV. The type is 16 bits. The PORT Option
> type space is split in two ranges. The types in the range 0 - 32767
> (the most significant bit is not set) are for Critical Options. The
> types in the range 32768 - 65535 (the most significant bit is set)
> are for Non-Critical Options.
>
> The behavior of a router receiving a message with an unknown PORT
> Option, is determined by whether the option is a critical option. If
> the message contains an unknown critical option, the entire message
> must be ignored. If the option is non-critical, only that particular
> option is ignored, and the message is processed as if the option was
> not present.
>
> This should allow us enough flexibility to be future proof. The options
> we have defined so far are Critical Options.
>
> I also reduced significantly the number of options for experimental use.
> I have now defined this:
>
> PORT Option types are assigned by IANA, except the ranges 32764 -
> 32767 and 65532 - 65535 that are for experimental use [RFC3692].
>
> The IANA considerations were updated accordingly.
>
> A section on manageability added as requested.
>
> Comments welcome.
>
> Stig
>
>
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim